Subject: bug#7668: ispell and dictionary encodings

From: Reuben Thomas <[email-masked]>
Date: Mon, 20 Dec 2010 15:40:18 +0000

On 20 December 2010 11:31, Agustin Martin <[email-masked]> wrote:

[a very helpful reply; thanks]

> On Fri, Dec 17, 2010 at 06:30:14PM +0000, Reuben Thomas wrote:
> If you are not going to use XEmacs, but only FSF Emacs, just use [:alpha:]
> for the case-character and non-case-character strings along with utf-8. That
> is already done automatically for aspell dictionaries, where is easy to get
> a list of installed dictionaries and additional info.

So, the built-in entries of ispell-dictionary-base-alist are
specifically for ispell? In that case, it seems a bit odd that they
are used for hunspell, but perhaps the problem is that you can't get
hunspell to give you that information about its dictionaries? But is
there in any case a reason not to default to using [:alpha:] for
case-chars and ^[:alpha:] for non-case-chars with hunspell?

In case I'm getting too confused, I'll just restate the basic
objective I have: I want to be able to spell-check (in my case,
British, but I don't think it matters for this purpose) English with
a) accents and b) fancy quotes. In these days of utf-8 being widely
used for English, it seems it should be possible to do at least b) out
of the box, which currently it isn't, as far as I can see.

--
http://rrt.sc3d.org